h36004
s 00038/00000/00000
d D 1.1 82/08/03 08:48:46 cecily 1 0
e
u
U
t
T
I 1
phys	title	unix c svc library -- phys

.phys	equ	52

	entry	phys
r0	equ	0
rf	equ	15
sp	equ	7
*
	impur
physsvc	equ	*
	svc	0,.phys
segno	dc	a(*-*)
size	dc	a(*-*)
physad	dc	a(*-*)
*
	pure
phys	equ	*
	l	r0,0(sp)	segno
	st	r0,segno
	l	r0,adc(sp)	size
	st	r0,size
	l	r0,2*adc(sp)	physad
	st	r0,physad
	svc	0,0
	dc	a(physsvc)
	bc	error
	lis	r0,0
	br	rf
error	equ	*
	st	r0,errno
	lcs	r0,1		error return
	br	rf

errno	comn
	das	1
	ends
	end
E 1
